## tudu_improved-125cb85.zip

=== Makefile ===
VPATH=/factory/debpkg/tudu/tudu-0.8.2//.
PKGNAME=tudu
VERSION=0.8.2
.PHONY: all install uninstall dist clean mrproper distclean

all:
	cd src && ${MAKE}
	cd data && ${MAKE}

install: all
	cd src && ${MAKE} install
	cd data && ${MAKE} install

clean:
	cd src && ${MAKE} clean
	cd data && ${MAKE} clean

distclean: mrproper
mrproper: clean
	cd src && ${MAKE} mrproper
	cd data && ${MAKE} mrproper
	rm Makefile

uninstall:
	cd src && ${MAKE} uninstall
	cd data && ${MAKE} uninstall

dist: mrproper
	cd ..  && \
	cp -r ${PKGNAME} ${PKGNAME}-${VERSION} && \
	cd ${PKGNAME}-${VERSION} && \
	rm -rf .git .gitignore .vimrc \
	rm -rf _*.xml _*.xml.bkp .*.xml_lock \
	rm -rf *.c *.jpg *.png \
	acr
	cd ..  && \
	tar czvf ${PKGNAME}-${VERSION}.tar.gz ${PKGNAME}-${VERSION} && \
	echo "dist done"

=== src/Makefile ===
VPATH=/factory/debpkg/tudu/tudu-0.8.2//src
PKGNAME=tudu
VERSION=0.8.2
INSTALL_PROGRAM=/usr/bin/install -m 755 -s
.PHONY: all install uninstall clean mrproper
CXX=g++
CXXFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -Wall -O2
LDFLAGS=-Wl,-z,relro -lncursesw
SRCS=tudu.cc data.cc editor.cc interface.cc window.cc text.cc parser.cc config.cc date.cc screen.cc sched.cc cmd.cc

prefix=/usr
BINDIR?=/usr/bin


OBJS=$(SRCS:.cc=.o)

all: $(PKGNAME)

$(PKGNAME): $(OBJS)
	$(CXX) $(CXXFLAGS) -o $@ $(OBJS) $(LDFLAGS)

.cc.o:
	$(CXX) $(CXXFLAGS) -c $<

install: all
	mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) $(PKGNAME) $(DESTDIR)$(BINDIR)

clean:
	@rm -f $(PKGNAME) $(OBJS) core tags

mrproper: clean
	rm Makefile defs.h

uninstall:
	rm $(DESTDIR)$(BINDIR)/$(PKGNAME)

=== debian/changelog ===
tudu (0.8.2-0.1) unstable; urgency=low

  * [Privately]
  * New upstream release
  * adjusted debian/watch file

 -- Takeshi Hamasaki <hmatrjp@users.sourceforge.jp>  Thu, 18 Oct 2012 10:40:54 +0900

tudu (0.8.1-1) unstable; urgency=low

  * New upstream release (Closes: #611077).

 -- Ruben Pollan Bella <meskio@sindominio.net>  Fri, 5 Aug 2011 21:39:19 +0100

tudu (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #568064).

 -- Ruben Pollan Bella <meskio@sindominio.net>  Thu, 9 Dec 2010 21:39:19 +0200

tudu (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Ruben Pollan Bella <meskio@sindominio.net>  Mon, 18 Jan 2010 09:31:20 +0100

tudu (0.6-1) unstable; urgency=low

  * New upstream release.

 -- Ruben Pollan Bella <meskio@sindominio.net>  Fri, 20 Nov 2009 14:39:12 +0100

tudu (0.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #505921, #491217, #511311).

 -- Ruben Pollan Bella <meskio@sindominio.net>  Sun, 17 May 2009 23:15:12 +0100

tudu (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Ruben Pollan Bella <meskio@amedias.org>  Tue, 11 Nov 2008 01:35:12 +0100

tudu (0.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #491152, #491224).
  * Fixed watch file.

 -- Ruben Pollan Bella <meskio@amedias.org>  Tue, 22 Jul 2008 12:19:34 +0200

tudu (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Ruben Pollan Bella <meskio@amedias.org>  Thu, 10 Jul 2008 10:38:55 +0200

=== debian/control ===
Source: tudu
Section: utils
Priority: optional
Maintainer: Ruben Pollan Bella <meskio@sindominio.net>
Build-Depends: debhelper (>= 8.0.0), cdbs, libncursesw5-dev, libncurses5-dev
Standards-Version: 3.9.1
Homepage: http://cauterized.net/~meskio/tudu/

Package: tudu
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command line hierarchical ToDo list
 ToDo list manager in ncurses, with hierarchical representation of the tasks. 
 Each task has:
   * Title
   * Long text description
   * Deadline (tudu warns you when the date is approaching)
   * Categories
   * Priorities
